## libadwaita-1 1.7~beta

=== debian/changelog ===
libadwaita-1 (1.7~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Feb 2025 08:54:11 -0500

libadwaita-1 (1.7~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libadwaita-1.0-symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Jan 2025 14:37:03 -0500

libadwaita-1 (1.7~alpha-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches
  * debian/libadwaita-1-0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Jan 2025 20:07:58 -0500

=== debian/control ===
Source: libadwaita-1
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-gio-2.0-dev,
               gir1.2-gtk-4.0-dev,
               libappstream-dev,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.76.0),
               libgnome-desktop-3-dev,
               libgtk-4-dev (>= 4.15.2),
               libxml2-utils,
               mesa-vulkan-drivers <!nocheck>,
               meson (>= 0.59.0),
               pkgconf,
               python3-gi (>= 3.40) <!nocheck>,
               sassc,
               valac (>= 0.20),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: gi-docgen <!nodoc>
Standards-Version: 4.7.0
Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
Rules-Requires-Root: no

Package: libadwaita-1-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library with GTK widgets for mobile phones
 libadwaita provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the shared library.

Package: libadwaita-1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-adw-1 (= ${binary:Version}),
         libadwaita-1-0 (= ${binary:Version}),
         libappstream-dev,
         libgtk-4-dev (>= 4.15.2),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkgconf
Suggests: libadwaita-1-doc
Provides: ${gir:Provides}
Description: Development files for libadwaita
 libadwaita provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the development files.

Package: gir1.2-adw-1
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection files for libadwaita
 libadwaita provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libadwaita-1-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Documentation for libadwaita
 libadwaita provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the API reference.

Package: libadwaita-1-examples
Section: x11
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Example programs for libadwaita
 libadwaita provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains example files and the demonstration program for
 libadwaita.

## libadwaita-1 1.7.0

=== debian/changelog ===
libadwaita-1 (1.7.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add 2 patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to include a warty brown accent color
    - Update debian/salsa-ci.yml & debian/gbp.conf for Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 16:45:14 -0400

libadwaita-1 (1.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 16:44:37 -0400

libadwaita-1 (1.7~rc-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add 2 patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to include a warty brown accent color
    - Update debian/salsa-ci.yml & debian/gbp.conf for Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 13:47:14 -0500

libadwaita-1 (1.7~rc-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib and gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 13:30:09 -0500

libadwaita-1 (1.7~beta-2ubuntu1) plucky; urgency=medium

  * Merge with Debian containing new upstream release.
  * d/p/ubuntu: Update accent color patches for libadwaita 1.7
  * d/p/ubuntu: Do not use special background for wartybrown anymore.
    20 years anniversary is gone, we still keep the brown for now but we
    let's not change change anymore the background or add more special
    casing
  * Remaining changes with debian:
    - Add patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to temporarily include a warty brown accent color

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 15 Feb 2025 20:36:24 +0100

libadwaita-1 (1.6.2-1ubuntu1) plucky; urgency=medium

  * Merge with Debian (LP: #2090847). Remaining changes:
    - Add patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to temporarily include a warty brown accent color
  * debian/salsa-ci.yml: Run CI for Ubuntu Oracular

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Mon, 02 Dec 2024 16:11:17 +0100

libadwaita-1 (1.6.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to temporarily include a warty brown accent color
  * debian/salsa-ci.yml: Run CI for Ubuntu Oracular

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 19 Nov 2024 18:00:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libadwaita-1
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -10,9 +11,9 @@
                gir1.2-gtk-4.0-dev,
                libappstream-dev,
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.76.0),
+               libglib2.0-dev (>= 2.80.0),
                libgnome-desktop-3-dev,
-               libgtk-4-dev (>= 4.15.2),
+               libgtk-4-dev (>= 4.17.5),
                libxml2-utils,
                mesa-vulkan-drivers <!nocheck>,
                meson (>= 0.59.0),
@@ -47,7 +48,7 @@
 Depends: gir1.2-adw-1 (= ${binary:Version}),
          libadwaita-1-0 (= ${binary:Version}),
          libappstream-dev,
-         libgtk-4-dev (>= 4.15.2),
+         libgtk-4-dev (>= 4.17.5),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

## libadwaita-1 1.7.2

=== debian/changelog ===
libadwaita-1 (1.7.2-1ubuntu1) questing; urgency=medium

  * Merge with debian, containing new upstream release:
    - Add 2 patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to include a warty brown accent color
    - Update debian/salsa-ci.yml & debian/gbp.conf for Ubuntu
  * d/p: Drop unneeded yaru-only patch for window button paddings.
    Related to LP: #2106784
  * d/p: Add upstream fix for window buttons padding on default decoration.
    Related to LP: #2106784

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 May 2025 15:46:22 +0200

libadwaita-1 (1.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 08:20:57 -0400

libadwaita-1 (1.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 10:01:59 -0400

libadwaita-1 (1.7.0-1ubuntu2) plucky; urgency=medium

  * d/p/ubuntu: Increase size for window controls button in stylesheet
    (LP: #2106784)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Apr 2025 19:07:58 +0200

## libadwaita-1 1.7.4

=== debian/changelog ===
libadwaita-1 (1.7.4-3kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh Kali patch

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 20 Jun 2025 10:21:20 +0200

libadwaita-1 (1.7.4-2) unstable; urgency=medium

  * Team upload
  * Summarize upstream changes in previous changelog entry
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 14 Jun 2025 14:02:45 +0100

libadwaita-1 (1.7.4-1) experimental; urgency=medium

  * New upstream release 1.7.3
    - Fix a crash if the preference for titlebar button layout is set
      to empty
      (libadwaita#1032 upstream)
    - Don't let the text colour in various widgets become unreadable
      when disabled (insensitive)
      (libadwaita#1020 upstream)
    - Fix visual style of expander rows marked as .property class
      (libadwaita#967 upstream)
    - Correctly transfer focus to expander rows when targeted by search
      (libadwaita#1037 upstream)
    - Adjust the threshold between yellow and green when normalizing accent
      colours
    - In the "inspector" debugging tool, don't interpret window titles
      as Pango markup
    - Documentation fixes
    - Translation updates: ja, lv, pt
  * New upstream release 1.7.4
    - Fix a critical when disposing AdwCarousel after scrolling with
      mouse wheel

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 14:29:05 -0400

libadwaita-1 (1.7.2-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Fix size of title buttons
  * Fix some colors

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 15 May 2025 17:06:35 +0200

libadwaita-1 (1.7.0-1kali1) kali-dev; urgency=medium

  * Fix kali version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 28 Mar 2025 14:03:53 +0100

libadwaita-1 (1.7.0-0kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 28 Mar 2025 12:48:02 +0100

libadwaita-1 (1.7~beta-2kali1) kali-dev; urgency=medium

  * Refresh patches
  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 13 Feb 2025 14:17:54 +0100

libadwaita-1 (1.6.2-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 04 Dec 2024 10:04:38 +0100

libadwaita-1 (1.6.0-1kali8) kali-dev; urgency=medium

  * Update teal and yellow accent colors
  * Avoid build error if file is missing
  * Use correct hue for Kali colors
  * Fix mix color

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 11 Oct 2024 14:12:42 +0200

libadwaita-1 (1.6.0-1kali7) kali-dev; urgency=medium

  * Fix yellow accent color
  * Change purple color to match Kali Purple accent color

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 25 Sep 2024 11:02:08 +0200

libadwaita-1 (1.6.0-1kali6) kali-dev; urgency=medium

  * Don't patch css files
  * Refresh patches
  * Use darker yellow accent color

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 23 Sep 2024 12:31:27 +0200

libadwaita-1 (1.6.0-1kali5) kali-experimental; urgency=medium

  * Fix build failure due to missing empty.css file

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Sat, 21 Sep 2024 19:19:29 +0200

libadwaita-1 (1.6.0-1kali4) kali-experimental; urgency=medium

  * Force rebuild of css

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 20 Sep 2024 16:44:35 +0200

libadwaita-1 (1.6.0-1kali3) kali-experimental; urgency=medium

  * Temporary disable tests

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 20 Sep 2024 12:53:18 +0200

libadwaita-1 (1.6.0-1kali2) kali-experimental; urgency=medium

  * Add custom kali highlighting colors

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 20 Sep 2024 12:33:17 +0200

libadwaita-1 (1.6.0-1kali1) kali-experimental; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 19 Sep 2024 17:45:04 +0200

libadwaita-1 (1.5.2-0kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 19 Jul 2024 11:37:27 +0200

libadwaita-1 (1.5.0-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Update color-scheme for Kali theme

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 02 May 2024 14:36:25 +0200

libadwaita-1 (1.5~beta-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 27 Feb 2024 22:22:37 +0100

libadwaita-1 (1.4.2-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 08 Jan 2024 14:16:36 +0100

libadwaita-1 (1.4.0-1kali2) kali-dev; urgency=medium

  * Make secondary-sidebar colors a mix of window_bg and sidebar_bg

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 22 Sep 2023 20:31:57 +0200

libadwaita-1 (1.4.0-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Update theme colors and remove kali logo from side-pane
  * Add gradient fade to headerbar kali logos
  * Tweak kali custom theme colors
  * Tweak secondary sidebar colors
  * Adjust gradient of kali logo to headerbar's height

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 21 Sep 2023 16:02:50 +0200

libadwaita-1 (1.3.3-2+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 08 Aug 2023 22:49:54 +0700

libadwaita-1 (1.3.1-1kali3) kali-dev; urgency=medium

  * Add Kali tweaks for default-decoration headerbar
  * Improve tweaks for headerbar stylesheet

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 09 May 2023 12:40:32 +0200

libadwaita-1 (1.3.1-1kali2) kali-dev; urgency=medium

  * Add missing color variables

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 04 May 2023 12:37:32 +0200

libadwaita-1 (1.3.1-1kali1) kali-experimental; urgency=medium

  * Update patches
  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 23 Mar 2023 20:54:40 +0100

libadwaita-1 (1.2.2-1kali1) kali-dev; urgency=medium

  * Sync with Debian



## libadwaita-1 1.7.6

=== debian/changelog ===
libadwaita-1 (1.7.6-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 25 Aug 2025 14:06:42 +0200

libadwaita-1 (1.7.6-1) unstable; urgency=medium

  * Team upload
  * d/control, d/gbp.conf, d/watch: Track 1.7.x
  * New upstream bugfix release 1.7.5
    - Explicitly set the size of a custom avatar image, avoiding a
      regression with GTK 4.19.x
      (libadwaita!1492 upstream)
    - Always set the document font name, even if all of the debug
      environment variables ADW_DEBUG_HIGH_CONTRAST,
      ADW_DEBUG_COLOR_SCHEME and DEBUG_ACCENT_COLOR are set
      (libadwaita#1042 upstream)
    - Slightly increase the window border radius for AdwTabOverview
      (libadwaita!1489 upstream)
    - Fix an assertion failure when showing a "toast" notification while its
      hiding animation is still in progress
      (libadwaita#997 upstream)
    - Fix some memory leaks
    - CI updates, not relevant to how this package is built in Debian
  * New upstream bugfix release 1.7.6
    - Make cancelling an alert dialog go through the same code path as
      the user interacting with it
      (libadwaita!1511 upstream)
    - Avoid type-check warnings when a dialog is presented as a window
      (libadwaita!1519 upstream)
    - Fix keyboard activation on AdwButtonRow inside AdwDialog presented
      as a window
      (libadwaita#1062 upstream)
    - Crash with a somewhat graceful assertion error if a layout slot is
      invalidly constructed without an ID, instead of segfaulting
      (libadwaita#1059 upstream)
    - Fix a memory leak
      (libadwaita#1067 upstream)
    - Avoid AdwNavigationPage "showing" and "hidden" signals being
      spuriously triggered when swiping left on a touchscreen
      (libadwaita#1065 upstream)
    - Make tab overview buttons easier to press on touchscreens
      (libadwaita#1039 upstream)
    - Fix scan-build warnings by programming more defensively
      (libadwaita!1517 upstream)
    - Remove some dead code
      (libadwaita!1521 upstream)

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Aug 2025 11:06:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libadwaita-1
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -26,8 +26,10 @@
 Build-Depends-Indep: gi-docgen <!nodoc>
 Standards-Version: 4.7.0
 Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
+Vcs-Git: https://gitlab.com/kalilinux/packages/libadwaita-1.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/libadwaita-1
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

ifneq ($(filter %-doc,$(built_binaries)),)
BUILD_DOCS := -Ddocumentation=true
else
BUILD_DOCS := -Ddocumentation=false
endif

%:
	dh $@

# Build libadwaita twice to not include internal symbols
# in our release build. Internal symbols are used for tests
override_dh_auto_configure:
	rm -f src/stylesheet/base.css
	dh_auto_configure -- $(BUILD_DOCS) -Dtests=false
	dh_auto_configure --builddirectory=debian/testtmp -- \
		 -Dexamples=false \
		 -Dgtk_doc=false \
		 -Dtests=true
	cp -v debian/theme-assets/*.png src/stylesheet/assets/

execute_after_dh_auto_build:
	dh_auto_build --builddirectory=debian/testtmp

override_dh_auto_test:
	#xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 \
	#	dh_auto_test --builddirectory=debian/testtmp

override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/libadwaita/cache.json \
	1.7/libadwaita-@ANY_VERSION@@ARCHIVE_EXT@

## libadwaita-1 1.7.6+mint2+gigi

=== debian/changelog ===
libadwaita-1 (1.7.6+mint2+gigi) gigi; urgency=medium

  [ Clement Lefebvre ]
  * Use the accent color defined by the theme

  [ Michael Webster ]
  * accent-colors: Implement as GdkRGBA internally.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Sep 2025 08:48:18 +0100

libadwaita-1 (1.7.6+mint1) gigi; urgency=medium

  [ Michael Webster ]
  * adw-style-manager.c: Attempt to use the current system theme for style info.
  * build: Install a copy of the default theme as 'LibAdwaita' as part of the libadwaita-1-examples package.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Sep 2025 18:06:41 +0100

libadwaita-1 (1.7.6-1~deb13u1) trixie; urgency=medium

  * New upstream bugfix release 1.7.5
    - Explicitly set the size of a custom avatar image, avoiding a
      regression with GTK 4.19.x
      (libadwaita!1492 upstream)
    - Always set the document font name, even if all of the debug
      environment variables ADW_DEBUG_HIGH_CONTRAST,
      ADW_DEBUG_COLOR_SCHEME and DEBUG_ACCENT_COLOR are set
      (libadwaita#1042 upstream)
    - Slightly increase the window border radius for AdwTabOverview
      (libadwaita!1489 upstream)
    - Fix an assertion failure when showing a "toast" notification while its
      hiding animation is still in progress
      (libadwaita#997 upstream)
    - Fix some memory leaks
    - CI updates, not relevant to how this package is built in Debian
  * New upstream bugfix release 1.7.6 (Closes: #1111847)
    - Make cancelling an alert dialog go through the same code path as
      the user interacting with it
      (libadwaita!1511 upstream)
    - Avoid type-check warnings when a dialog is presented as a window
      (libadwaita!1519 upstream)
    - Fix keyboard activation on AdwButtonRow inside AdwDialog presented
      as a window
      (libadwaita#1062 upstream)
    - Crash with a somewhat graceful assertion error if a layout slot is
      invalidly constructed without an ID, instead of segfaulting
      (libadwaita#1059 upstream)
    - Fix a memory leak
      (libadwaita#1067 upstream)
    - Avoid AdwNavigationPage "showing" and "hidden" signals being
      spuriously triggered when swiping left on a touchscreen
      (libadwaita#1065 upstream)
    - Make tab overview buttons easier to press on touchscreens
      (libadwaita#1039 upstream)
    - Fix scan-build warnings by programming more defensively
      (libadwaita!1517 upstream)
    - Remove some dead code
      (libadwaita!1521 upstream)
  * debian/gbp.conf: branch for trixie

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Aug 2025 17:49:38 -0400

## libadwaita-1 1.8~alpha

=== debian/changelog ===
libadwaita-1 (1.8~alpha-0ubuntu1) questing; urgency=medium

  * Merge with debian. Remaining changes:
    - Add 2 patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to include a warty brown accent color
    - Update debian/salsa-ci.yml & debian/gbp.conf for Ubuntu
  * d/p: Drop patch for window buttons padding that was included upstream.
  * New upstream release
  * d/p: Rebase on new upstream version
  * d: Update symbols file

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 15 Jul 2025 17:00:03 +0200

## libadwaita-1 1.8~beta

=== debian/changelog ===
libadwaita-1 (1.8~beta-1ubuntu1) questing; urgency=medium

  * Merge with debian. Remaining changes:
    - Add 2 patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to include a warty brown accent color
    - Update debian/salsa-ci.yml & debian/gbp.conf for Ubuntu
  * d/p: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 06 Aug 2025 00:36:35 +0200

libadwaita-1 (1.8~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control: Add libfribidi build dependency
  * debian/libadwaita-1-0.symbols: Update

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 06 Aug 2025 00:18:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libadwaita-1
 Section: libs
 Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
+Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gir1.2-gio-2.0-dev,
                gir1.2-gtk-4.0-dev,
                libappstream-dev,
+               libfribidi-dev,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.80.0),
                libgnome-desktop-3-dev,
@@ -26,10 +27,8 @@
 Build-Depends-Indep: gi-docgen <!nodoc>
 Standards-Version: 4.7.0
 Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
-Vcs-Git: https://gitlab.com/kalilinux/packages/libadwaita-1.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/libadwaita-1
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
 Rules-Requires-Root: no
 
 Package: libadwaita-1-0

## libadwaita-1 1.8~rc

=== debian/changelog ===
libadwaita-1 (1.8~rc-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum gtk4 to 4.19.4

  [ Simon McVittie ]
  * Merge 1.7.x updates from unstable (no functional change)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Aug 2025 08:59:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libadwaita-1
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -14,7 +13,7 @@
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.80.0),
                libgnome-desktop-3-dev,
-               libgtk-4-dev (>= 4.17.5),
+               libgtk-4-dev (>= 4.19.4),
                libxml2-utils,
                mesa-vulkan-drivers <!nocheck>,
                meson (>= 0.59.0),
@@ -49,7 +48,7 @@
 Depends: gir1.2-adw-1 (= ${binary:Version}),
          libadwaita-1-0 (= ${binary:Version}),
          libappstream-dev,
-         libgtk-4-dev (>= 4.17.5),
+         libgtk-4-dev (>= 4.19.4),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

## libadwaita-1 1.8.0

=== meson_options.txt ===
# Performance and debugging related options
option('profiling', type: 'boolean', value: false)

option('introspection', type: 'feature', value: 'auto')
option('vapi', type: 'boolean', value: true)

# Subproject
option('package_subdir',
       type: 'string',
       description: 'Subdirectory to append to all installed files, for use as subproject')

# Documentation
option('documentation',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for libadwaita')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for libadwaita',
       deprecated: 'documentation')

# Tests
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

# Demo and examples
option('examples',
       type: 'boolean', value: true,
       description: 'Build and install the examples and demo applications (currently not built for MSVC builds)')

=== debian/changelog ===
libadwaita-1 (1.8.0-1ubuntu2) questing; urgency=medium

  * d/p/yaru-accent-colors: Notify yaru-accent change for the default style manager too
    (LP: #2125422)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 24 Sep 2025 14:52:06 +0200

libadwaita-1 (1.8.0-1ubuntu1) questing; urgency=medium

  * Merge with debian, containing the new upstream release (LP: #2123885)
  * d/p/ubuntu/adw-spinner:
    - Fix yaru theme detection
  * d/p/yaru-accent-colors:
    - Adapt the code to upstream changes
    - Fix stylesheet switching from Yaru to other theme
    - Use yaru colors for backgrounds (LP: #2123897)
  * Remaining changes with debian:
    - Add 2 patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to include a warty brown accent color
    - Update debian/salsa-ci.yml & debian/gbp.conf for Ubuntu

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 16 Sep 2025 05:06:29 +0200

libadwaita-1 (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 15:54:39 -0400

libadwaita-1 (1.8~rc-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/libadwaita-1-doc.links: Make the API documentation more discoverable
  * d/libadwaita-1-doc.doc-base: Register API documentation with doc-base

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 06:10:19 -0400

libadwaita-1 (1.8~beta-1ubuntu2) questing; urgency=medium

  [ Vincent Renzo Quilon ]
  * debian/patches: Align AdwSpinnerPaintable Design and Animation to
    YaruCircularProgressIndicator (LP: #2114778)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 19 Aug 2025 15:56:04 +0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libadwaita-1
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gir1.2-gio-2.0-dev,
                gir1.2-gtk-4.0-dev,
+               gobject-introspection (>= 1.80),
                libappstream-dev,
                libfribidi-dev,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.80.0),
                libgnome-desktop-3-dev,
                libgtk-4-dev (>= 4.19.4),
@@ -24,11 +25,10 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
 Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
 Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
-Rules-Requires-Root: no
 
 Package: libadwaita-1-0
 Architecture: any

=== debian/tests/control ===
Tests: build-test
Depends: build-essential,
         libadwaita-1-dev,
         pkgconf,
         xauth,
         xvfb
Restrictions: superficial

Test-Command: LIBGL_ALWAYS_SOFTWARE=true xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 ./debian/tests/python-gi-test
Depends: gir1.2-adw-1,
         python3,
         python3-gi,
         xauth,
         xvfb
Restrictions: superficial

## libadwaita-1 1.8.1

=== debian/changelog ===
libadwaita-1 (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: appstream for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 19:29:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libadwaita-1
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
+               appstream <!nocheck>,
                gir1.2-gio-2.0-dev,
                gir1.2-gtk-4.0-dev,
                gobject-introspection (>= 1.80),

=== debian/rules ===
--- 
+++ 
@@ -18,19 +18,17 @@
 # Build libadwaita twice to not include internal symbols
 # in our release build. Internal symbols are used for tests
 override_dh_auto_configure:
-	rm -f src/stylesheet/base.css
 	dh_auto_configure -- $(BUILD_DOCS) -Dtests=false
 	dh_auto_configure --builddirectory=debian/testtmp -- \
 		 -Dexamples=false \
 		 -Dgtk_doc=false \
 		 -Dtests=true
-	cp -v debian/theme-assets/*.png src/stylesheet/assets/
 
 execute_after_dh_auto_build:
 	dh_auto_build --builddirectory=debian/testtmp
 
 override_dh_auto_test:
-	#xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 \
-	#	dh_auto_test --builddirectory=debian/testtmp
+	xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 \
+		dh_auto_test --builddirectory=debian/testtmp
 
 override_dh_gnome_clean:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/libadwaita/cache.json \
	[\d.]+/libadwaita-@ANY_VERSION@@ARCHIVE_EXT@

## libadwaita-1 1.8.2

=== debian/changelog ===
libadwaita-1 (1.8.2-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría  Tue, 09 Dec 2025 08:50:58 +0100

libadwaita-1 (1.8.2-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Nov 2025 14:27:17 -0500

libadwaita-1 (1.8.1-1kali3) kali-dev; urgency=medium

  * Fix css selector for dark mode
  * Make windowcontrol's button outline lighter

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Sun, 16 Nov 2025 12:12:04 +0100

libadwaita-1 (1.8.1-1kali2) kali-dev; urgency=medium

  * Fix windowcontrol icons for dark mode

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 13 Nov 2025 15:09:37 +0100

libadwaita-1 (1.8.1-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Remove old $light variable
  * Add missing brace
  * Fix scss variable definition inside '@define-color'
  * Update kali theme

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 21 Oct 2025 11:30:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libadwaita-1
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -14,7 +15,7 @@
                libfribidi-dev,
                libglib2.0-dev (>= 2.80.0),
                libgnome-desktop-3-dev,
-               libgtk-4-dev (>= 4.19.4),
+               libgtk-4-dev (>= 4.20.3),
                libxml2-utils,
                mesa-vulkan-drivers <!nocheck>,
                meson (>= 0.59.0),
@@ -27,8 +28,10 @@
 Build-Depends-Indep: gi-docgen <!nodoc>
 Standards-Version: 4.7.2
 Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
+Vcs-Git: https://gitlab.com/kalilinux/packages/libadwaita-1.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/libadwaita-1
 
 Package: libadwaita-1-0
 Architecture: any
@@ -48,7 +51,7 @@
 Depends: gir1.2-adw-1 (= ${binary:Version}),
          libadwaita-1-0 (= ${binary:Version}),
          libappstream-dev,
-         libgtk-4-dev (>= 4.19.4),
+         libgtk-4-dev (>= 4.20.3),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

## libadwaita-1 1.8.3

=== debian/changelog ===
libadwaita-1 (1.8.3-1kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría  Mon, 19 Jan 2026 16:28:02 +0100

libadwaita-1 (1.8.3-1) unstable; urgency=medium

  * New upstream release
  * autopkgtest: Set allow-stderr restriction to work around new xkb errors
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Jan 2026 17:35:22 -0500

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

# Build libadwaita twice to not include internal symbols
# in our release build. Internal symbols are used for tests
override_dh_auto_configure:
	rm -f src/stylesheet/base.css
	dh_auto_configure -- \
		-Ddocumentation=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Dtests=false
ifneq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	dh_auto_configure --builddirectory=debian/testtmp -- \
		-Ddocumentation=false \
		-Dexamples=false \
		-Dtests=true
endif
	cp -v debian/theme-assets/*.png src/stylesheet/assets/

execute_after_dh_auto_build:
	dh_auto_build --builddirectory=debian/testtmp

override_dh_auto_test:
	#xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 \
	#	dh_auto_test --builddirectory=debian/testtmp

# We only use dh_gnome to automatically run dh_translations in Ubuntu
override_dh_gnome:

## libadwaita-1 1.8.4

=== debian/changelog ===
libadwaita-1 (1.8.4-1ubuntu1) resolute; urgency=medium

  * Merge with debian, remaining changes:
    - Add 2 patches to adjust accent colors for Ubuntu
    - Add patch to set orange as default accent color instead of blue
    - Add patch to include a warty brown accent color
    - Add patch to make the spinner match the Yaru theme
    - Update debian/salsa-ci.yml & debian/gbp.conf for Ubuntu

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 17:26:26 +0100

libadwaita-1 (1.8.4-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick patch to stop hiding launcher for libadwaita demo
    (Closes: #1123563)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Feb 2026 10:33:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: libadwaita-1
 Section: libs
-Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
+Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -28,10 +27,8 @@
 Build-Depends-Indep: gi-docgen <!nodoc>
 Standards-Version: 4.7.3
 Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
-Vcs-Git: https://gitlab.com/kalilinux/packages/libadwaita-1.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/libadwaita-1
+Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
+Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
 
 Package: libadwaita-1-0
 Architecture: any

## libadwaita-1 1.9~beta

=== debian/changelog ===
libadwaita-1 (1.9~beta-2) unstable; urgency=medium

  * Remove patch that avoided use of gtk4 4.21
  * Update minimum gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Feb 2026 17:16:34 -0500

libadwaita-1 (1.9~beta-1) unstable; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 1.9.beta
  * Remove upstreamed patch: demo-Remove-NoDisplay-from-desktop-file.patch
  * Update debian/patches/stylesheet-common* to use the disabled-opacity
    variable instead of $disabled_opacity which no longer exists.
  * Add Make-GtkReducedMotion-optional.patch so we're not blocked waiting
    for a new GTK version. The change is so simple and unimportant that
    it should not prevent builds against older GTK versions. Although we
    fully expect a new GTK version soon and this patch can be dropped.
  * Update debian/libadwaita-1-0.symbols with new symbols in 1.9.beta

  [ Jeremy Bícha ]
  * Disable stylesheet-common-Use-opacity-for-all-disabled-gtk-images.patch:
    It emits a lot of warnings

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Feb 2026 08:41:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: libadwaita-1
+Standards-Version: 4.7.3
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Guido Günther <agx@sigxcpu.org>,
+           Jeremy Bícha <jbicha@ubuntu.com>,
+           Marco Trevisan (Treviño) <marco@ubuntu.com>
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Guido Günther <agx@sigxcpu.org>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -14,21 +16,20 @@
                libfribidi-dev,
                libglib2.0-dev (>= 2.80.0),
                libgnome-desktop-3-dev,
-               libgtk-4-dev (>= 4.20.3),
+               libgtk-4-dev (>= 4.21.1),
                libxml2-utils,
                mesa-vulkan-drivers <!nocheck>,
-               meson (>= 0.59.0),
+               meson,
                pkgconf,
-               python3-gi (>= 3.40) <!nocheck>,
+               python3-gi <!nocheck>,
                sassc,
-               valac (>= 0.20),
+               valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.7.3
-Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
 Vcs-Browser: https://salsa.debian.org/gnome-team/libadwaita
 Vcs-Git: https://salsa.debian.org/gnome-team/libadwaita.git
+Homepage: https://gnome.pages.gitlab.gnome.org/libadwaita/
 
 Package: libadwaita-1-0
 Architecture: any
@@ -48,7 +49,7 @@
 Depends: gir1.2-adw-1 (= ${binary:Version}),
          libadwaita-1-0 (= ${binary:Version}),
          libappstream-dev,
-         libgtk-4-dev (>= 4.20.3),
+         libgtk-4-dev (>= 4.21.1),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -74,11 +75,11 @@
  This package contains the GObject-introspection data in binary typelib format.
 
 Package: libadwaita-1-doc
+Architecture: all
+Build-Profiles: <!nodoc>
+Multi-Arch: foreign
 Section: doc
-Architecture: all
-Multi-Arch: foreign
 Depends: ${misc:Depends}
-Build-Profiles: <!nodoc>
 Description: Documentation for libadwaita
  libadwaita provides GTK widgets and GObjects to ease developing
  applications for mobile phones.
@@ -86,8 +87,8 @@
  This package contains the API reference.
 
 Package: libadwaita-1-examples
+Architecture: any
 Section: x11
-Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Example programs for libadwaita

=== debian/tests/control ===
Tests: build-test
Depends: build-essential,
         libadwaita-1-dev,
         pkgconf,
         xauth,
         xvfb
Restrictions: allow-stderr,
              superficial

Test-Command: LIBGL_ALWAYS_SOFTWARE=true xvfb-run -a -s "-screen 0 1024x768x24 -noreset" -e /proc/self/fd/2 ./debian/tests/python-gi-test
Depends: gir1.2-adw-1,
         python3,
         python3-gi,
         xauth,
         xvfb
Restrictions: allow-stderr,
              superficial
